Freepbx update issue


#1

Hi,
I ve run fwconsole ma upgradeall and i am getting the following message

In Self_Helper.class.php line 213:

Unable to locate the FreePBX BMO Class 'Core’A required module might be disabled or uninstalled. Recommended steps (run from the CLI): 1) fwconsole ma install core 2) fwconsole ma enable core

i try to run fwconsole ma install core but still nothing it seems that core is not installed

  </[root@freepbx ~]# fwconsole ma list

No repos specified, using: [standard] from last GUI settings

±--------------------±-----------±-----------------------------------------±-----------+
| Module | Version | Status | License |
±--------------------±-----------±-----------------------------------------±-----------+
| accountcodepreserve | 13.0.2.2 | Enabled | GPLv2 |
| announcement | 13.0.7.1 | Enabled | GPLv3+ |
| areminder | 14.0.1.4 | Enabled | Commercial |
| arimanager | 13.0.4 | Enabled | GPLv3+ |
| asterisk-cli | 14.0.1 | Enabled | GPLv3+ |
| asteriskinfo | 13.0.7.1 | Enabled | GPLv3+ |
| backup | 14.0.6 | Enabled | GPLv3+ |
| blacklist | 13.0.14.8 | Disabled; Pending upgrade to 14.0.1 | GPLv3+ |
| broadcast | 14.0.1.7 | Enabled | Commercial |
| builtin | | Enabled | |
| bulkhandler | 13.0.14.6 | Enabled | GPLv3+ |
| calendar | 14.0.2.5 | Enabled | GPLv3+ |
| callback | 13.0.5.2 | Enabled | GPLv3+ |
| callerid | 13.0.8.10 | Enabled | Commercial |
| callforward | 14.0.1.3 | Enabled | AGPLv3+ |
| calllimit | 13.0.5.5 | Enabled | Commercial |
| callrecording | 13.0.11.5 | Disabled; Pending upgrade to 14.0.1 | AGPLv3+ |
| callwaiting | 14.0.1.1 | Enabled | GPLv3+ |
| campon | 13.0.4.1 | Enabled | GPLv3+ |
| cdr | 14.0.5.14 | Enabled | GPLv3+ |
| cel | 14.0.2.6 | Enabled | GPLv3+ |
| certman | 14.0.1 | Enabled | AGPLv3+ |
| cidlookup | 14.0.1.6 | Enabled | GPLv3+ |
| conferences | 13.0.23.11 | Enabled | GPLv3+ |
| conferencespro | 14.0.2.3 | Disabled; Pending upgrade to 14.0.2.4 | Commercial |
| configedit | 13.0.7.1 | Enabled | AGPLv3+ |
| contactmanager | 14.0.4.5 | Enabled | GPLv3+ |
| core | 14.0.12 | Disabled; Pending upgrade to 14.0.18.16 | GPLv3+ |
| cos | 13.0.12.1 | Enabled | Commercial |
| customappsreg | 13.0.5.4 | Enabled | GPLv3+ |
| cxpanel | 14.0.1 | Enabled | GPLv3 |
| dahdiconfig | 14.0.1.1 | Enabled | GPLv3+ |
| dashboard | 14.0.3.3 | Enabled | AGPLv3+ |
| daynight | 14.0.1 | Enabled | GPLv3+ |
| dictate | 13.0.5 | Enabled | GPLv3+ |
| digium_phones | 13.0.7.3 | Disabled; Pending upgrade to 13.0.7.4 | GPLv2 |
| directory | 13.0.19.5 | Enabled | GPLv3+ |
| disa | 13.0.6.1 | Enabled | AGPLv3+ |
| donotdisturb | 14.0.1.1 | Enabled | GPLv3+ |
| endpoint | 14.0.2.59 | Disabled; Pending upgrade to 14.0.2.71 | Commercial |
| extensionroutes | 13.0.10.5 | Disabled; Pending upgrade to 13.0.10.6 | Commercial |
| fax | 14.0.2.3 | Enabled | GPLv3+ |
| faxpro | 14.0.1.10 | Enabled | Commercial |
| featurecodeadmin | 13.0.6.4 | Enabled | GPLv3+ |
| findmefollow | 14.0.1.18 | Enabled | GPLv3+ |
| firewall | 13.0.55.1 | Enabled | AGPLv3+ |
| framework | 14.0.3.2 | Enabled | GPLv2+ |
| fw_langpacks | 14.0.1 | Enabled | GPLv3+ |
| hotelwakeup | 14.0.1.4 | Enabled | GPLv2 |
| iaxsettings | 14.0.1.4 | Enabled | AGPLv3 |
| infoservices | 13.0.1.3 | Enabled | GPLv2+ |
| irc | 2.11.0.7 | Enabled | GPLv3+ |
| ivr | 13.0.27.7 | Disabled; Pending upgrade to 14.0.1 | GPLv3+ |
| languages | 14.0.1.2 | Enabled | GPLv3+ |
| logfiles | 13.0.10.4 | Enabled | GPLv3+ |
| manager | 13.0.2.5 | Enabled | GPLv2+ |
| miscapps | 13.0.3.1 | Enabled | GPLv3+ |
| miscdests | 13.0.5 | Enabled | GPLv3+ |
| music | 13.0.22.3 | Enabled | GPLv3+ |
| outroutemsg | 13.0.2.1 | Enabled | GPLv3+ |
| paging | 14.0.3 | Disabled; Pending upgrade to 14.0.4 | GPLv3+ |
| pagingpro | 14.0.2.9 | Disabled; Pending upgrade to 14.0.2.10 | Commercial |
| parking | 13.0.19.8 | Enabled | GPLv3+ |
| parkpro | 14.0.1 | Enabled | Commercial |
| pbdirectory | 2.11.0.6 | Enabled | GPLv3+ |
| phonebook | 13.0.6.1 | Enabled | GPLv3+ |
| phpinfo | 13.0.2 | Enabled | GPLv2+ |
| pinsets | 13.0.8 | Enabled | GPLv3+ |
| pinsetspro | 13.0.9.8 | Disabled; Pending upgrade to 13.0.9.10 | Commercial |
| pm2 | 13.0.5 | Enabled | AGPLv3+ |
| pms | 14.0.2.14 | Enabled | Commercial |
| presencestate | 14.0.1.5 | Enabled | GPLv3+ |
| printextensions | 13.0.3.1 | Enabled | GPLv3+ |
| queueprio | 13.0.2 | Enabled | GPLv3+ |
| queues | 14.0.2.15 | Disabled; Pending upgrade to 14.0.2.16 | GPLv2+ |
| qxact_reports | 13.0.15.6 | Enabled | Commercial |
| recording_report | 14.0.1.10 | Enabled | Commercial |
| recordings | 13.0.30.12 | Enabled | GPLv3+ |
| restapi | 13.0.21.1 | Enabled | AGPLv3 |
| restapps | 13.0.92.5 | Disabled; Pending upgrade to 13.0.92.12 | Commercial |
| ringgroups | 14.0.1.4 | Enabled | GPLv3+ |
| sangomacrm | 13.0.4.32 | Enabled | Commercial |
| setcid | 13.0.6.2 | Enabled | GPLv3+ |
| sipsettings | 14.0.27.1 | Disabled; Pending upgrade to 14.0.27.2 | AGPLv3+ |
| sipstation | 13.0.14.8 | Enabled | Commercial |
| sms | 14.0.4.4 | Enabled | Commercial |
| sng_mcu | 13.0.5 | Enabled | Commercial |
| soundlang | 14.0.4.5 | Enabled | GPLv3+ |
| speeddial | 2.11.0.4 | Enabled | GPLv3+ |
| superfecta | 14.0.6 | Disabled; Pending upgrade to 14.0.7 | GPLv2+ |
| sysadmin | 14.0.13 | Disabled; Pending upgrade to 14.0.13.3 | Commercial |
| timeconditions | 14.0.2.13 | Enabled | GPLv3+ |
| tts | 13.0.10 | Enabled | GPLv3+ |
| ttsengines | 13.0.7.3 | Enabled | AGPLv3 |
| ucp | 14.0.2.3 | Disabled; Pending upgrade to 14.0.2.6 | AGPLv3+ |
| userman | 14.0.3.40 | Enabled | AGPLv3+ |
| vmblast | 13.0.8 | Enabled | GPLv3+ |
| vmnotify | 13.0.22 | Disabled; Pending upgrade to 14.0.1.1 | Commercial |
| voicemail | 14.0.1.25 | Enabled | GPLv3+ |
| voicemail_report | 13.0.13.3 | Enabled | Commercial |
| vqplus | 14.0.1.1 | Disabled; Pending upgrade to 14.0.1.5 | Commercial |
| weakpasswords | 13.0.2 | Enabled | GPLv3+ |
| webcallback | 13.0.11.2 | Enabled | Commercial |
| webrtc | 14.0.3.7 | Enabled | GPLv3+ |
| xmpp | 14.0.1.14 | Enabled | AGPLv3 |
| zulu | 14.0.2.13 | Disabled; Pending upgrade to 14.0.3.31.2 | Commercial |
±--------------------±-----------±-----------------------------------------±-----------+
[root@freepbx ~]#

How can i upgrade core ??


Upgrade 13 to 14 Error: SQLSTATE[HY000] [2002] can't connect to
(Andrew Nagy) #2

Core is disabled pending upgrade. You say you ran the command to install core and it didn’t work but then you didn’t post anything relevant from that. So please try again and post the output.

fwconsole ma downloadinstall framework --force
fwconsole ma downloadinstall core --force

#3

ok with the force option it worked but why it couldnt update core itself ?


(Andrew Nagy) #4

Because it needed framework


(system) closed #5

This topic was automatically closed 365 days after the last reply. New replies are no longer allowed.